[Fusionforge-commits] r12671 - trunk/tests/scripts

Christian Bayle cbayle at fusionforge.org
Fri Mar 11 01:19:23 CET 2011


Author: cbayle
Date: 2011-03-11 01:19:23 +0100 (Fri, 11 Mar 2011)
New Revision: 12671

Modified:
   trunk/tests/scripts/fusionforge-build-and-test-deb.sh
   trunk/tests/scripts/fusionforge-build-and-test-rpm.sh
   trunk/tests/scripts/fusionforge-build-and-test-source.sh
Log:
don't fails if stop vm fails, vm may not exist


Modified: trunk/tests/scripts/fusionforge-build-and-test-deb.sh
===================================================================
--- trunk/tests/scripts/fusionforge-build-and-test-deb.sh	2011-03-11 00:00:11 UTC (rev 12670)
+++ trunk/tests/scripts/fusionforge-build-and-test-deb.sh	2011-03-11 00:19:23 UTC (rev 12671)
@@ -61,7 +61,7 @@
 if $KEEPVM 
 then
 	echo "Destroying vm $HOST"
-	(cd tests/scripts ; sh ./stop_vm.sh $HOST)
+	(cd tests/scripts ; sh ./stop_vm.sh $HOST || true)
 fi
 (cd tests/scripts ; ./start_vm.sh $HOST)
 scp -r tests root@$HOST:/root

Modified: trunk/tests/scripts/fusionforge-build-and-test-rpm.sh
===================================================================
--- trunk/tests/scripts/fusionforge-build-and-test-rpm.sh	2011-03-11 00:00:11 UTC (rev 12670)
+++ trunk/tests/scripts/fusionforge-build-and-test-rpm.sh	2011-03-11 00:19:23 UTC (rev 12671)
@@ -59,7 +59,7 @@
 if $KEEPVM
 then
 	echo "Destroying vm $HOST"
-	(cd tests/scripts ; sh ./stop_vm.sh $HOST)
+	(cd tests/scripts ; sh ./stop_vm.sh $HOST || true)
 fi
 (cd tests/scripts ; sh ./start_vm.sh $HOST)
 scp -r tests root@$HOST:/root

Modified: trunk/tests/scripts/fusionforge-build-and-test-source.sh
===================================================================
--- trunk/tests/scripts/fusionforge-build-and-test-source.sh	2011-03-11 00:00:11 UTC (rev 12670)
+++ trunk/tests/scripts/fusionforge-build-and-test-source.sh	2011-03-11 00:19:23 UTC (rev 12671)
@@ -63,7 +63,7 @@
 if $KEEPVM
 then
 	echo "Destroying vm $HOST"
-	(cd tests/scripts ; sh ./stop_vm.sh $HOST)
+	(cd tests/scripts ; sh ./stop_vm.sh $HOST || true)
 fi
 (cd tests/scripts ; ./start_vm.sh $HOST)
 scp -r tests root@$HOST:/root




More information about the Fusionforge-commits mailing list